import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JLabel;
import java.awt.BorderLayout;
import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.JTextField;
import java.awt.GridLayout;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.SwingConstants;


public class simpleCalculator {

	private JFrame frame;
	private JTextField textField;
	
	private double numberSoFar = 0;
	private int currentValue = 0;
	private String operation = "+";

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					simpleCalculator window = new simpleCalculator();
					window.frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the application.
	 */
	public simpleCalculator() {
		initialize();
	}

	public void performOperation(){
		switch(operation){
		case "+":
			numberSoFar += currentValue;
			break;
		case "-":
			numberSoFar -= currentValue;
			break;
		case "*":
			numberSoFar *= currentValue;
			break;
		case "/":
			numberSoFar /= currentValue;
			break;
		}
	}
	
	/**
	 * Initialize the contents of the frame.
	 */
	private void initialize() {
		frame = new JFrame();
		frame.setBounds(100, 100, 248, 364);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.getContentPane().setLayout(new BorderLayout(0, 0));
		
		JPanel panel = new JPanel();
		frame.getContentPane().add(panel, BorderLayout.CENTER);
		panel.setLayout(new GridLayout(4, 3, 0, 0));
		
		JButton oneButton = new JButton("1");
		oneButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				currentValue = 10*currentValue + 1;
				textField.setText(currentValue+"");
			}
		});
		panel.add(oneButton);
		
		JButton twoButton = new JButton("2");
		twoButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				currentValue = 10*currentValue + 2;
				textField.setText(currentValue+"");
			}
		});
		panel.add(twoButton);
		
		JButton threeButton = new JButton("3");
		threeButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				currentValue = 10*currentValue + 3;
				textField.setText(currentValue+"");
			}
		});
		panel.add(threeButton);
		
		JButton plusButton = new JButton("+");
		plusButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				performOperation();
				currentValue = 0;
				textField.setText(""+numberSoFar);
				operation = "+";
			}
		});
		panel.add(plusButton);
		
		JButton fourButton = new JButton("4");
		fourButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				currentValue = 10*currentValue + 4;
				textField.setText(currentValue+"");
			}
		});
		panel.add(fourButton);
		
		JButton fiveButton = new JButton("5");
		fiveButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				currentValue = 10*currentValue + 5;
				textField.setText(currentValue+"");
			}
		});
		panel.add(fiveButton);
		
		JButton sixButton = new JButton("6");
		sixButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				currentValue = 10*currentValue + 6;
				textField.setText(currentValue+"");
			}
		});
		panel.add(sixButton);
		
		JButton minusButton = new JButton("-");
		minusButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				performOperation();
				currentValue = 0;
				textField.setText("" + numberSoFar);
				operation = "-";
			}
		});		
		panel.add(minusButton);
		
		JButton sevenButton = new JButton("7");
		sevenButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				currentValue = 10*currentValue + 7;
				textField.setText(currentValue+"");
			}
		});
		panel.add(sevenButton);
		
		JButton eightButton = new JButton("8");
		eightButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				currentValue = 10*currentValue + 8;
				textField.setText(currentValue+"");
			}
		});
		panel.add(eightButton);
		
		JButton nineButton = new JButton("9");
		nineButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				currentValue = 10*currentValue + 9;
				textField.setText(currentValue+"");
			}
		});
		panel.add(nineButton);
		
		JButton multButton = new JButton("*");
		multButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				performOperation();
				currentValue = 0;
				textField.setText(""+numberSoFar);
				operation = "*";
			}
		});
		panel.add(multButton);
		
		JButton clearButton = new JButton("C");
		clearButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				textField.setText("0");
				numberSoFar = 0;
				operation = "+";
				currentValue = 0;
			}
		});
		panel.add(clearButton);
		
		JButton zeroButton = new JButton("0");
		zeroButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				currentValue = 10*currentValue;
				textField.setText(currentValue+"");
			}
		});
		panel.add(zeroButton);
		
		JButton equalsButton = new JButton("=");
		equalsButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				performOperation();
				currentValue = 0;
				textField.setText(""+numberSoFar);
				numberSoFar = 0;
				operation = "+";				
			}
		});
		panel.add(equalsButton);
		
		JButton divButton = new JButton("/");
		divButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				performOperation();
				currentValue = 0;
				textField.setText(""+numberSoFar);
				operation = "/";
			}
		});		
		panel.add(divButton);
		
		textField = new JTextField();
		textField.setHorizontalAlignment(SwingConstants.RIGHT);
		frame.getContentPane().add(textField, BorderLayout.NORTH);
		textField.setColumns(10);
		textField.setText("0");
	}

}
